## org.apache.commons.collections.list
Class AbstractListDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.list.AbstractListDecorator

All Implemented Interfaces:
  Collection, List

Direct Known Subclasses:
  AbstractSerializableListDecorator

public abstract class AbstractListDecorator
extends AbstractCollectionDecorator
implements List

Decorates another `List` to provide additional behaviour.

Methods are forwarded directly to the decorated list.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.4 $ $Date: 2004/06/02 21:53:02 $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractListDecorator()` Constructor only used in deserialization, do not use otherwise.
`protected` `AbstractListDecorator(List list)` Constructor that wraps (not copies).

Method Summary
`void` `add(int index, Object object)`
`boolean` `addAll(int index, Collection coll)`
`Object` `get(int index)`
`protected List` `getList()` Gets the list being decorated.
`int` `indexOf(Object object)`
`int` `lastIndexOf(Object object)`
`ListIterator` `listIterator()`
`ListIterator` `listIterator(int index)`
`Object` `remove(int index)`
`Object` `set(int index, Object object)`
`List` `subList(int fromIndex, int toIndex)`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractListDecorator

    protected AbstractListDecorator()

  Constructor only used in deserialization, do not use otherwise.

Since:
  Commons Collections 3.1

### AbstractListDecorator

    protected AbstractListDecorator(List list)

  Constructor that wraps (not copies).

Parameters:
  `list` - the list to decorate, must not be null
Throws:
  `IllegalArgumentException` - if list is null

Method Detail

### getList

    protected List getList()

  Gets the list being decorated.

  Returns:
    the decorated list

### add

    public void add(int index,
                    Object object)

  Specified by:
    `add` in interface `List`

### addAll

    public boolean addAll(int index,
                          Collection coll)

  Specified by:
    `addAll` in interface `List`

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`

### indexOf

    public int indexOf(Object object)

  Specified by:
    `indexOf` in interface `List`

### lastIndexOf

    public int lastIndexOf(Object object)

  Specified by:
    `lastIndexOf` in interface `List`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `List`

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`

### set

    public Object set(int index,
                      Object object)

  Specified by:
    `set` in interface `List`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  Specified by:
    `subList` in interface `List`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.